<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" version="4.0" encoding="UTF-8" omit-xml-declaration="yes" indent="yes"/>



	<xsl:template match="/Root/Report">
    <html>
        <head>
				<meta HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
                </meta>
				<title>QT_TRANSLATE_NOOP("QObject", "Data Sanitization Report")</title>
        </head>

        <body>
		<table width="100%" border="0">
			<!-- Customer Information -->
			<xsl:apply-templates select="customerinfo"/>
			<!-- Report Information -->
			<xsl:apply-templates select="reportinfo"/>
			<!-- Hdd Info -->
                        <xsl:apply-templates select="sysinfo"/>
			<!-- General Info -->
                        <xsl:apply-templates select="wipeinfo"/>
			<!-- Hardware Info -->
			<xsl:apply-templates select="hardwareconfig"/>
			<!-- Bad Blocks Info -->
			<xsl:apply-templates select="badblocks"/>
			<!-- Report footer -->
            <xsl:apply-templates select="footer"/>
		</table>
        </body>
    </html>
	</xsl:template>

	<xsl:template match="footer">
		<tr>
			<td height = "50">
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<img src="hline_gray.png"/>
			</td>
		</tr>
		<tr>
			<td colspan="2">
                <b>QT_TRANSLATE_NOOP("QObject", "Hereby is confirmed that the wipe operation has been carried out according to instructions given by the software provider.")</b>
			</td>
		</tr>
		<tr>
		<tr>
			<td height = "100" colspan="2">
			</td>
		</tr>
			<td colspan="2">
                <table  cellspacing="0" cellpadding="0" width="80%" border="0">
            		<tr >
			            <td height="5">
                                <hr align = "center" width = "200"></hr>
			            </td>
                        <td height="5">
                                <hr align = "center" width = "200"></hr>
                        </td>
                    </tr>
                    <tr>
			            <td valign="top" valign = "top" align="center">
                                QT_TRANSLATE_NOOP("QObject", "Wipe executive")
			            </td>
                        <td valign="bottom" align="center">
                                QT_TRANSLATE_NOOP("QObject", "Supervisor")
                        </td>
                    </tr>
                </table>
            </td>
		</tr>
	       </xsl:template>

          <xsl:template match="customerinfo">
		<tr>
			<td align="left" valign="center" colspan="2">
				<img src="epl_psg.png"/>
			</td>
		</tr>


		<tr>
			<td colspan="2" align="center">
				<h1 style="font-family:Arial;font-size:21.5pt;">QT_TRANSLATE_NOOP("QObject", "Data Sanitization Report")</h1>
			</td>
		</tr>
		<tr>
			<td colspan="2"/>
		</tr>

		<tr>
			<td colspan="2">
				<nobr>
					<h2>QT_TRANSLATE_NOOP("QObject", "Customer Information")</h2>
				</nobr>
			</td>
		</tr>
		<tr>
			<td valign="center" colspan="2">
                                <img src="hline_gray.png"/>
			</td>
		</tr>
		<tr>
                        <td width = "40%">
					<b>QT_TRANSLATE_NOOP("QObject", "Person:")</b>
			</td>
			<td>
				<xsl:value-of select="person"/>
			</td>
		</tr>
		<tr>
			<td>
					<b>QT_TRANSLATE_NOOP("QObject", "Company:")</b>
			</td>
			<td>
				<xsl:value-of select="company"/>
			</td>
		</tr>
	</xsl:template>



	<xsl:template match="reportinfo">
                <tr><td colspan="2"/></tr>
                <tr><td colspan="2"><h2>QT_TRANSLATE_NOOP("QObject", "Report Information")</h2></td></tr>
		<tr>
			<td valign="center" colspan="2">
				<img src="hline_gray.png"/>
			</td>
		</tr>
		<tr>
			<td>
				<nobr>
					<b>QT_TRANSLATE_NOOP("QObject", "Report Date:")</b>
				</nobr>
			</td>
			<td>
				<xsl:value-of select="reporttime"/>
			</td>
		</tr>
		<tr>
			<td>
				<nobr>
					<b>QT_TRANSLATE_NOOP("QObject", "Version:")</b>
				</nobr>
			</td>
			<td>
				<xsl:value-of select="version"/>
			</td>
		</tr>
	</xsl:template>


        <xsl:template match="sysinfo">
                <tr><td colspan="2"/></tr>
		<tr>
			<td colspan="2">
					<h2>QT_TRANSLATE_NOOP("QObject", "System Information")</h2>
			</td>
		</tr>
                <tr><td valign="center" colspan="2"><img src="hline_gray.png"/></td></tr>

		<tr>
			<td>
                                        <b>QT_TRANSLATE_NOOP("QObject", "Computer name:")</b>
			</td>
			<td>
                                <xsl:value-of select="computer"/>
			</td>
		</tr>

		<tr>
			<td>
                                        <b>QT_TRANSLATE_NOOP("QObject", "Operating system:")</b>
			</td>
			<td>
                                <xsl:value-of select="system"/>
			</td>
		</tr>
		<tr>
			<td>
                                        <b>QT_TRANSLATE_NOOP("QObject", "Os version:")</b>
			</td>
			<td>
                                <xsl:value-of select="win32"/>
			</td>
		</tr>

        <xsl:if test="productkey != ''">
		<tr>
			<td>
                                        <b>QT_TRANSLATE_NOOP("QObject", "Product ID:")</b>
			</td>
			<td>
                                <xsl:value-of select="productkey"/>
			</td>
		</tr>
        </xsl:if>
		<tr>
			<td>
                                        <b>QT_TRANSLATE_NOOP("QObject", "BIOS Version:")</b>
			</td>
			<td>
                                <xsl:value-of select="biosversion"/>
			</td>
		</tr>

		<tr>
			<td>
                                        <b>QT_TRANSLATE_NOOP("QObject", "BIOS Date:")</b>
			</td>
			<td>
                                <xsl:value-of select="biosdate"/>
			</td>
		</tr>

	</xsl:template>



        <xsl:template match="wipeinfo">
		<tr>
                        <td colspan="2"/>
		</tr>

		<tr>
                        <td colspan="2">
                                <nobr><h2>QT_TRANSLATE_NOOP("QObject", "Wipe Information")</h2></nobr>
			</td>
		</tr>
		<tr>
                        <td valign="center" colspan="2"><img src="hline_gray.png"/></td>
		</tr>
		<tr>
			<td>
                                        <b>QT_TRANSLATE_NOOP("QObject", "Operation:")</b>
			</td>
			<td>
                                <xsl:value-of select="wipeoperation"/>
			</td>
		</tr>


		<tr>
			<td>
					<b>QT_TRANSLATE_NOOP("QObject", "Object selected:")</b>
			</td>
			<td>
                                <xsl:value-of select="objname"/>
			</td>
		</tr>

                <tr>
			<td>
                                        <b>QT_TRANSLATE_NOOP("QObject", "Start in sectors:")</b>
			</td>
			<td>
                                <xsl:value-of select="partstart"/>
			</td>
		</tr>
                <tr>
			<td>
                                        <b>QT_TRANSLATE_NOOP("QObject", "Size in sectors:")</b>
			</td>
			<td>
                                <xsl:value-of select="partsize"/>
			</td>
		</tr>

		<tr>
                        <td>
                                        <b>QT_TRANSLATE_NOOP("QObject", "Drive:")</b>
                        </td>
			<td>
                                <xsl:value-of select="driveinfo"/>
			</td>
		</tr>

        <xsl:if test="serial != ''">
		<tr>
			<td>
					<b>QT_TRANSLATE_NOOP("QObject", "Serial number:")</b>
			</td>
			<td>
				<xsl:value-of select="serial"/>
			</td>
		</tr>
        </xsl:if>



        <xsl:if test="model != ''">
		<tr>
			<td>
					<b>QT_TRANSLATE_NOOP("QObject", "Model number:")</b>
			</td>
			<td>
                                <xsl:value-of select="model"/>
			</td>
		</tr>
        </xsl:if>


        <tr>
                        <td colspan="2"/>
        </tr>
		<tr>
			<td>
					<b>QT_TRANSLATE_NOOP("QObject", "Status:")</b>
			</td>
			<td>
				<xsl:value-of select="status"/>
			</td>
		</tr>
		<tr>
			<td>
					<b>QT_TRANSLATE_NOOP("QObject", "Wipe method:")</b>
			</td>
			<td>
				<xsl:value-of select="name"/>
			</td>
		</tr>

		<tr>
			<td>
					<b>QT_TRANSLATE_NOOP("QObject", "Description:")</b>
			</td>
			<td>
				<xsl:value-of select="description"/>
			</td>
		</tr>

                <xsl:variable name="Advanced" select="advanced"/>

                <xsl:choose>
                        <xsl:when test="$Advanced=0">
                                <xsl:for-each select="Algorithms/algorithm">
                                        <tr>
                                                <td>
                                                                <nobr>QT_TRANSLATE_NOOP("QObject", "Pass") <xsl:value-of select="position()"/></nobr>
                                                </td>
                                                <td>
                                                                QT_TRANSLATE_NOOP("QObject", "Mask:") <xsl:value-of select="@mask"/><br/>
                                                                QT_TRANSLATE_NOOP("QObject", "Wiping passes:") <xsl:value-of select="@whipes"/>
                                                </td>
                                        </tr>
                                </xsl:for-each>

                                        <tr>
                                                <td>
                                                        QT_TRANSLATE_NOOP("QObject", "Repeat count:")
                                                </td>
                                                <td>
                                                        <xsl:value-of select="Algorithms/algorithm/@repeat"/>
                                                </td>
                                        </tr>
                        </xsl:when>
                        <xsl:otherwise>
                                        <tr>
                                                <td>
                                                                QT_TRANSLATE_NOOP("QObject", "Pass count:")
                                                </td>
                                                <td>
                                                                <xsl:value-of select="whipes"/>
                                                </td>
                                        </tr>
                                        <tr>
                                                <td>
                                                                QT_TRANSLATE_NOOP("QObject", "Verify count:")
                                                </td>
                                                <td>
                                                                <xsl:value-of select="repeat"/>
                                                </td>
                                        </tr>
                        </xsl:otherwise>
                </xsl:choose>

                                <tr>
                                        <td>
                                                        <b>QT_TRANSLATE_NOOP("QObject", "Verify percent:")</b>
                                        </td>
					<td>
                                        <xsl:value-of select="verifypercent"/>
					</td>
				</tr>

				<tr>
					<td>
						<nobr>
							<b>QT_TRANSLATE_NOOP("QObject", "Start time:")</b>
						</nobr>
					</td>
					<td>
						<xsl:value-of select="starttime"/>
					</td>
				</tr>

				<tr>
					<td>
							<b>QT_TRANSLATE_NOOP("QObject", "End time:")</b>
					</td>
					<td>
						<xsl:value-of select="finishtime"/>
					</td>
				</tr>
				<tr>
					<td>
							<b>QT_TRANSLATE_NOOP("QObject", "Duration:")</b>
					</td>
					<td>
						<xsl:value-of select="duration"/>
					</td>
                                </tr>
	</xsl:template>



	<xsl:template match="hardwareconfig">
        <xsl:variable name="WindowsPE" select="WindowsPE"/>

		<tr>
                        <td colspan="2"/>
		</tr>
		<tr>
                        <td colspan="2">
				<nobr>
					<h2>QT_TRANSLATE_NOOP("QObject", "Hardware Information")</h2>
				</nobr>
			</td>
		</tr>
		<tr>
			<td valign="center" colspan="2">
				<img src="hline_gray.png"/>
			</td>
		</tr>

        <xsl:if test="WindowsPE = ''">
        <tr>
                <td>
                        <b>QT_TRANSLATE_NOOP("QObject", "Computer:")</b>
                </td>
                <td>
                        <nobr><xsl:value-of select="computer/item/description"/>&nbsp;<xsl:value-of select="computer/item/mfg"/></nobr>
                </td>

        </tr>



        <xsl:for-each select="processors/item">
                <tr>
                        <xsl:choose>
                        <xsl:when test="position() = 1">
                                        <td>
                                                <b>QT_TRANSLATE_NOOP("QObject", "Processors:")</b>
                                        </td>
                                </xsl:when>
                                <xsl:otherwise>
                                        <td></td>
                                </xsl:otherwise>
                        </xsl:choose>

                        <td>
                                <nobr><xsl:value-of select="description"/>&nbsp<xsl:value-of select="general"/></nobr>
                                <br/><nobr><xsl:value-of select="mfg"/></nobr>
                        </td>
                </tr>
        </xsl:for-each>

        <tr><td colspan="2"/></tr>
        </xsl:if>

        <xsl:for-each select="displayadapters/item">
                <tr>
                        <xsl:choose>
                        <xsl:when test="position() = 1">
                                        <td>
                                                <b>QT_TRANSLATE_NOOP("QObject", "Display adapters:")</b>
                                        </td>
                                </xsl:when>
                                <xsl:otherwise>
                                        <td></td>
                                </xsl:otherwise>
                        </xsl:choose>

                        <td>
                                <nobr><xsl:value-of select="description"/>&nbsp<xsl:value-of select="general"/></nobr>
                                <br/><nobr><xsl:value-of select="mfg"/></nobr>
                        </td>
                </tr>
        </xsl:for-each>



        <tr><td colspan="2"/></tr>

        <xsl:for-each select="monitors/item">
                <tr>
                        <xsl:choose>
                        <xsl:when test="position() = 1">
                                        <td>
                                                <b>QT_TRANSLATE_NOOP("QObject", "Monitors:")</b>
                                        </td>
                                </xsl:when>
                                <xsl:otherwise>
                                        <td></td>
                                </xsl:otherwise>
                        </xsl:choose>

                        <td>
                                <nobr><xsl:value-of select="description"/>&nbsp<xsl:value-of select="general"/></nobr>
                                <br/><nobr><xsl:value-of select="mfg"/></nobr>
                        </td>
                </tr>
        </xsl:for-each>

        <tr><td colspan="2"/></tr>

        <xsl:if test="WindowsPE = ''">
        <xsl:for-each select="floppydisk/item">
                <tr>
                        <xsl:choose>
                        <xsl:when test="position() = 1">
                                        <td>
                                                <b>QT_TRANSLATE_NOOP("QObject", "Floppy drives:")</b>
                                        </td>
                                </xsl:when>
                                <xsl:otherwise>
                                        <td></td>
                                </xsl:otherwise>
                        </xsl:choose>

                        <td>
                                <nobr><xsl:value-of select="description"/>&nbsp<xsl:value-of select="general"/></nobr>
                                <br/><nobr><xsl:value-of select="mfg"/></nobr>
                        </td>
                </tr>
        </xsl:for-each>

        <tr><td colspan="2"/></tr>
        </xsl:if>

        <xsl:for-each select="dvdcdromdrives/item">
                <tr>
                        <xsl:choose>
                        <xsl:when test="position() = 1">
                                        <td>
                                                <b>QT_TRANSLATE_NOOP("QObject", "Optical drives:")</b>
                                        </td>
                                </xsl:when>
                                <xsl:otherwise>
                                        <td></td>
                                </xsl:otherwise>
                        </xsl:choose>

                        <td>
                                <nobr><xsl:value-of select="description"/>&nbsp<xsl:value-of select="general"/></nobr>
                                <br/><nobr><xsl:value-of select="mfg"/></nobr>
                        </td>
                </tr>
        </xsl:for-each>

        <tr><td colspan="2"/></tr>

        <xsl:for-each select="diskdrives/item">
                <tr>
                        <xsl:choose>
                        <xsl:when test="position() = 1">
                                        <td>
                                                <b>QT_TRANSLATE_NOOP("QObject", "Disk drives:")</b>
                                        </td>
                                </xsl:when>
                                <xsl:otherwise>
                                        <td></td>
                                </xsl:otherwise>
                        </xsl:choose>

                        <td>
                                <nobr><xsl:value-of select="description"/>&nbsp<xsl:value-of select="general"/></nobr>
                                <br/><nobr><xsl:value-of select="mfg"/></nobr>
                        </td>
                </tr>
        </xsl:for-each>

        <tr><td colspan="2"/></tr>

        <xsl:for-each select="net/item">
                <xsl:if test="mfg != 'Microsoft'">
                        <tr>
                                <xsl:choose>
                                <xsl:when test="position() = 1">
                                                <td>
                                                        <b>QT_TRANSLATE_NOOP("QObject", "Network adapters:")</b>
                                                </td>
                                        </xsl:when>
                                        <xsl:otherwise>
                                        <td></td>
                                        </xsl:otherwise>
                                </xsl:choose>

                                <td>
                                <nobr><xsl:value-of select="description"/>&nbsp<xsl:value-of select="general"/></nobr>
                                <br/><nobr><xsl:value-of select="mfg"/></nobr>
                                </td>
                        </tr>
                </xsl:if>
        </xsl:for-each>

        <tr><td colspan="2"/></tr>

        <xsl:for-each select="usb/item">
                <tr>
                        <xsl:choose>
                        <xsl:when test="position() = 1">
                                        <td>
                                                <b>QT_TRANSLATE_NOOP("QObject", "USB Controllers:")</b>
                                        </td>
                                </xsl:when>
                                <xsl:otherwise>
                                        <td></td>
                                </xsl:otherwise>
                        </xsl:choose>

                        <td>
                                <nobr><xsl:value-of select="description"/>&nbsp<xsl:value-of select="general"/></nobr>
                                <br/><nobr><xsl:value-of select="mfg"/></nobr>
                        </td>
                </tr>
        </xsl:for-each>

	</xsl:template>  <!-- Hardware Info -->



	<xsl:template match="badblocks">
		<tr>
			<td colspan="2"/>
		</tr>
		<tr>
			<td colspan="2">
					<h2>QT_TRANSLATE_NOOP("QObject", "Bad Block Info")</h2>
			</td>
		</tr>
		<tr>
                        <td valign="center" colspan="2">
				<img src="hline_gray.png"/>
			</td>
		</tr>

		<tr>
			<td>
                                <nobr><b>QT_TRANSLATE_NOOP("QObject", "Total Bad blocks:")</b></nobr>
			</td>
                        <td>
                                <xsl:value-of select="total"/>
                        </td>
                </tr>

                <xsl:for-each select="list/badblock">
                        <tr>
                        <xsl:choose>
                        <xsl:when test="position() = 1">
                                        <td>
                                                <b>QT_TRANSLATE_NOOP("QObject", "Bad block list:")</b>
                                        </td>
                                </xsl:when>
                                <xsl:otherwise>
                                        <td></td>
                                </xsl:otherwise>
                        </xsl:choose>
                        <td>
                                <xsl:value-of select="current()"/>
                        </td>
                        </tr>
                </xsl:for-each>

		</tr>
	</xsl:template>


</xsl:stylesheet>
